
/* Base styles
----------------------------------------------------------------------------- */
.spu-box, .spu-box * {
	box-sizing: border-box;
}

.wppopups-whole {
	position: relative;
	width: 100%;
	left: 0;
	top: 0;
	z-index: 999998;
	display: flex;
	align-items: center;
	justify-content: center;
}

.spu-bg {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	display: none;
	z-index: 99999;
}

.spu-box:before, .spu-box:after {
	content: "";
	display: table;
}

.spu-box:after {
	clear: both;
}

.spu-box {
	zoom: 1;
}

.spu-box {
	position: fixed;
	z-index: 999999;
	width: 100%;
	max-height: 100vh;
}

.spu-box img {
	max-width: 100%;
	height: auto;
}

.spu-box img.aligncenter {
	clear: both;
	display: block;
	margin: 0 auto;
}

/* Positions
----------------------------------------------------------------------------- */
.spu-box.spu-position-top-left {
	top: 0;
	left: 0;
	bottom: auto;
	right: auto;
}

.spu-box.spu-position-top-right {
	top: 0;
	right: 0;
	bottom: auto;
	left: auto;
}

.spu-box.spu-position-top-center {
	top: 0;
	right: auto;
	bottom: auto;
	left: auto;
}

.spu-box.spu-position-bottom-left {
	bottom: 0;
	left: 0;
	top: auto;
	right: auto;
}

.spu-box.spu-position-bottom-right {
	bottom: 0;
	right: 0;
	top: auto;
	left: auto;
}

.spu-box.spu-position-bottom-center {
	top: auto;
	right: auto;
	bottom: 0;
	left: auto;
}

.spu-box.spu-position-top-bar, .spu-box.spu-position-bottom-bar {
	margin: 0;
	width: 100% !important;
	max-width: 100% !important;
	position: fixed;
}

.spu-box.spu-position-top-bar {
	top: 0;
}

.spu-box.spu-position-bottom-bar {
	bottom: 0;
}

.spu-box.spu-position-bottom-bar .spu-content .spu-fields-container, .spu-box.spu-position-top-bar .spu-content .spu-fields-container {
	padding: 0;
}

.spu-box.spu-position-bottom-bar .spu-content, .spu-box.spu-position-top-bar .spu-content {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: 100% !important;
}

.spu-box.spu-position-bottom-bar .spu-content > *, .spu-box.spu-position-top-bar .spu-content > * {
	margin-left: 20px;
	margin-bottom: 0;
}

.spu-box.spu-position-bottom-bar .spu-content .spu-optin-form, .spu-box.spu-position-top-bar .spu-content label.spu-fields.spu-gdpr, .spu-box.spu-position-bottom-bar .spu-content label.spu-fields.spu-gdpr, .spu-box.spu-position-top-bar .spu-content .spu-optin-form {
	display: inline-flex;
	margin-bottom: 0;
}

.spu-box.spu-position-top-bar .spu-content .spu-optin-fields, .spu-box.spu-position-bottom-bar .spu-content .spu-optin-fields, .spu-box.spu-position-top-bar .spu-content label.spu-fields.spu-gdpr, .spu-box.spu-position-bottom-bar .spu-content label.spu-fields.spu-gdpr {
	margin-bottom: 0;
}

.spu-box.spu-position-bottom-bar .spu-content label.spu-fields.spu-gdpr, .spu-box.spu-position-top-bar .spu-content label.spu-fields.spu-gdpr {
	margin-left: 20px;
	margin-bottom: 0;
}

.spu-box.spu-position-bottom-bar .spu-content .spu-optin-fields .spu-fields, .spu-box.spu-position-top-bar .spu-content .spu-optin-fields .spu-fields {
	min-width: 250px;
}

.spu-box.spu-position-bottom-bar .spu-content button.spu-fields.spu-submit, .spu-box.spu-position-top-bar .spu-content button.spu-fields.spu-submit {
	width: 120px;
	margin-left: 20px;
}

/* Close
----------------------------------------------------------------------------- */
.spu-close {
	position: absolute;
	padding: 0;
	cursor: pointer;
	background: transparent;
	border: 0;
	-webkit-appearance: none;
	line-height: .5;
	text-decoration: none;
	cursor: pointer;
	z-index: 9999;
}

html .spu-box a.spu-close {
	text-decoration: none;
}

.spu-close-top_right {
	right: 8px;
	top: 5px;
}

.spu-close-top_left {
	left: 8px;
	top: 5px;
}

.spu-close-bottom_right {
	right: 8px;
	bottom: 5px;
}

.spu-close-bottom_left {
	left: 8px;
	bottom: 5px;
}

.spu-close:hover, .spu-close:focus {
	text-decoration: none;
	display: block;
}

/* Powered
----------------------------------------------------------------------------- */
p.spu-powered {
	position: absolute;
	bottom: -55px;
	width: 100%;
	text-align: center;
	color: #fff;
	left: 0px;
}

p.spu-powered a {
	color: #ccc;
	text-decoration: underline;
}

.spu-box.spu-scrollable p.spu-powered {
	display: none;
}

/* =========================================================================
    Addon Styles
============================================================================ */
.spu-addon-container {
	text-align: center;
	margin: 36px 32px 44px;
}

.spu-addon-container:after {
	clear: both;
	content: " ";
	display: table;
}

.spu-addon-title {
	font-size: 24px;
}

.spu-addon-msg {
	font-size: 17px;
}

.spu-input-text {
	background-color: #fff;
	width: 49%;
	height: 44px;
	border: 1px solid #cdd1d4;
	-webkit-box-shadow: 0 0 6px -3px rgba(0, 0, 0, .8) inset;
	-moz-box-shadow: 0 0 6px -3px rgba(0, 0, 0, .8) inset;
	box-shadow: 0 0 6px -3px rgba(0, 0, 0, .8) inset;
	border-radius: 3px;
	font-size: 18px;
	line-height: 38px;
	padding: 4px 6px;
	overflow: hidden;
	outline: none;
	margin: 0;
	vertical-align: middle;
}

.spu-button {
	display: block;
	-webkit-box-shadow: 0 1px 1px -1px #fff inset;
	-moz-box-shadow: 0 1px 1px -1px #fff inset;
	box-shadow: 0 1px 1px -1px #fff inset;
	-webkit-text-shadow: #888 -0 0 1px;
	-moz-text-shadow: #888 -0 0 1px;
	text-shadow: #888 0 0 1px;
	font-size: 15px;
	padding: 10px 12px;
	line-height: 24px;
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
	text-decoration: none;
	margin: 0;
	height: auto;
	width: 35%;
	border: 0;
}

.spu-button-bg {
	width: 100% !important;
}

.spu-inline {
	display: inline-block !important;
}

.spu-errors {
	color: red;
	text-align: center;
	margin-top: 20px;
}

/* =========================================================================
   Optin fields
   ========================================================================== */
.spu-optin-form .spu-helper-fields {
	display: none;
}

.spu-fields-container {
	padding: 36px 32px 44px;
	position: relative;
}

.spu-fields.spu-name, .spu-fields.spu-email {
	background-color: #fff;
	width: 100%;
	height: 48px;
	border: 1px solid #cdd1d4;
	-webkit-box-shadow: 0 0 6px -3px rgba(0, 0, 0, .8) inset;
	-moz-box-shadow: 0 0 6px -3px rgba(0, 0, 0, .8) inset;
	box-shadow: 0 0 6px -3px rgba(0, 0, 0, .8) inset;
	border-radius: 3px;
	font-size: 18px;
	line-height: 38px;
	padding: 4px 6px;
	overflow: hidden;
	outline: none;
	margin: 0 0 20px 0;
	vertical-align: middle;
	display: block;
}

.spu-fields.spu-submit {
	background: #50bbe8;
	border: 1px solid #429bc0;
	-webkit-box-shadow: 0 1px 1px -1px #fff inset;
	-moz-box-shadow: 0 1px 1px -1px #fff inset;
	box-shadow: 0 1px 1px -1px #fff inset;
	-webkit-text-shadow: #888 -0 0 1px;
	-moz-text-shadow: #888 -0 0 1px;
	text-shadow: #888 -0 0 1px;
	width: 24%;
	color: #fff;
	font-size: 16px;
	padding: 10px 6px;
	line-height: 24px;
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
	display: inline;
	margin: 0;
	height: auto;
}

.spu-fields.spu-submit i {
	display: none;
}

.spu-optin-fields {
	display: block;
}

.spu-optin-fields.spu-inline-fields {
	display: flex;
	margin-bottom: 20px;
}

.spu-optin-fields.spu-inline-fields .spu-fields {
	margin-bottom: 0px;
}

.spu-optin-fields.spu-inline-fields .spu-fields.spu-name {
	margin-right: 20px;
}

.spu-fields.spu-email {
	margin-right: 0;
}

.spu-fields.spu-submit {
	width: 100%;
	max-width: 100%;
}

.spu-fields.spu-submit span {
	transition: all 1s;
	opacity: 1;
}

.spu-fields.spu-submit svg {
	display: none;
	margin: 0 auto;
	transition: all 1s;
}

.spu-fields.spu-submit svg path, .spu-fields.spu-submit svg rect {
	fill: #fff;
}

.spu-fields.spu-submit.spu-sending span {
	display: none;
	opacity: 0;
}

.spu-fields.spu-submit.spu-sending svg {
	display: block;
	opacity: 1;
}

.optin-errors {
	color: red;
	text-align: center;
	margin-top: 20px;
}

/* ==========================================================================
    Auto close
   ========================================================================== */
span.spu-timer {
	position: absolute;
	bottom: 0px;
	left: 0px;
	font-size: 12px;
	position: absolute;
	width: 100%;
	text-align: right;
	padding: 0 10px;
}

@media all and (max-width: 568px) {
	.spu-box {
		max-width: 90vw !important;
	}
	
	.spu-box.spu-position-fullscreen, .spu-box.spu-position-top-bar, .spu-box.spu-position-bottom-bar {
		max-width: 100vw !important;
	}
	
	.spu-box.spu-position-bottom-bar .spu-content, .spu-box.spu-position-top-bar .spu-content {
		flex-flow: column;
	}
	
	.pop-up-text2 {
		margin-bottom: 25px !important;
	}
}
/* END STICKY CTA */

/*
Theme Name: Twenty Twenty-Four Child
Theme URI: 
Author: Ty Richards @ Xammis
Author URI: 
Description: Fuel Logic 2024
Requires at least: 6.0
Tested up to: 6.6
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfour
Text Domain: twenty-twenty-four-child
Tags: 

*/

/************************* Global Styles *************************/

/* HIDE CAPTCHA grecaptcha-badge */
.grecaptcha-badge {
	z-index: 9999;
}

body .display-block {
	display: block;
}

body .display-none {
	display: none;
}

.color-orange {
	color: #f5824e;
}

.color-green {
	color: #a2cd3a;
}

/* utilities */
.overflow-visible {
	overflow: visible !important;
}

/* Link animations */

/* main a {
  box-shadow: inset 0 0 0 0 #f5824e;
  margin: 0 -.2rem;
  padding: 0 .2rem;
  transition: color .2s ease-in-out, box-shadow .2s ease-in-out;
} */

/* main a:hover {
  box-shadow: inset 350px 0 0 0 #f5824e;
  color: black;
} */
.decoration-none, .decoration-none a {
	text-decoration: none !important;
}

.wp-block-details a {
	text-decoration: underline;
}

/* Header Styles */
.is-style-asterisk:before {
	background: #a2cd3a;
}

/* Mega Menu */

/* button.wp-block-outermost-mega-menu__toggle { transition: none!important; } */
button.wp-block-outermost-mega-menu__toggle:hover {
	color: #f5824e !important;
}

.wp-block-outermost-mega-menu button.menu-container__close-button {
	display: none;
}

/* Button Hover Animations */
.wp-block-button .wp-block-button__link {
	box-shadow: inset 0 0 0 0 #b3e53c;
	transition: .2s ease-in-out;
}

.wp-block-button .wp-block-button__link:hover {
	background-color: #a2cd3a;
	transform: translateY(-3px);
	box-shadow: inset 350px 0 0 0 #b3e53c;
}

.wp-block-button.is-style-outline .wp-block-button__link {
	box-shadow: inset 0 0 0 0 #e9e9e9;
	transition: .2s ease-in-out;
}

.wp-block-button.is-style-outline .wp-block-button__link:hover {
	box-shadow: inset 350px 0 0 0 #e9e9e9;
}

.wp-block-button.btn-top-tab .wp-block-button__link {
	transition: .2s ease-in-out;
}

.wp-block-button.btn-top-tab .wp-block-button__link:hover {
	transform: translateY(+ 3px);
	color: #f5824e !important;
	box-shadow: none !important;
}

/* Default Group Section Spacing for Mobile */
body section.wp-block-group, body section.wp-block-cover, body footer section.wp-block-group {
	padding-block: var(--wp--custom--spacing--tw-x-large);
}

/* Icons */
.icon-margin-right {
	margin-right: 10px;
}

.icon-margin-left {
	margin-left: 10px;
}

.margin-top-none {
	margin-top: 0;
}

.margin-right-none {
	margin-right: 0;
}

.margin-bottom-none {
	margin-bottom: 0;
}

.margin-left-none {
	margin-left: 0;
}

body blockquote {
	margin-inline-start: 0;
	margin-inline-end: 0;
}

body footer.wp-block-template-part {
	margin-top: 0;
}

/* body .wp-block-heading { color: #ffffff!important; }  */

/************************* Responsive Mobile Menu *************************/
.rmp-container .wp-block-buttons-resp-menu .wp-block-button {
	background-color: #a2cd3a;
	padding: 8px 10px 8px 10px;
	border-radius: 5px;
	width: 100% !important;
	text-transform: uppercase;
	letter-spacing: .5px;
	font-weight: bold;
}

.rmp-container .wp-block-buttons-resp-menu .wp-block-button a {
	color: black;
}

.rmp-container .wp-block-buttons-resp-menu .wp-block-button.is-style-outline {
	border: 2px solid #e9e9e9;
	background-color: transparent;
}

.rmp-container .wp-block-buttons-resp-menu .wp-block-button.is-style-outline a {
	color: #e9e9e9;
}

/* Mobile & Tablet (Nav Breakpoint) */
@media screen and (max-width: 1024px) {
	body #rmp-menu-title-6571 .rmp-menu-title-image {
		max-width: 75%;
		height: auto;
		display: block;
		margin: 0 0 0 0;
		width: 140px;
	}
	
	body #rmp-menu-wrap-6571 .rmp-menu-item-link:focus {
		border-color: #212121;
	}
}

/* Mobile  Only */
@media screen and (max-width: 430px) {
	/* body h1 { font-size: 1.85rem; } */
	
	/* All Buttons 100% Width */
	.wp-block-button {
		flex-basis: 100%;
		width: 100%;
	}
	
	.wp-block-buttons .wp-block-button__link {
		width: 100%;
	}
	
	/* Paragraphs Left Justified */
	.tw-sm-text-justify, .sm-text-justify {
		text-align: justify !important;
	}
}

/* Tablet Only */
@media screen and (min-width:430px) and (max-width:767px) {
	/* Adjust Button Hover Animations for wider */
	.wp-block-button .wp-block-button__link {
		transition: .4s ease-in-out;
	}
	
	.wp-block-button .wp-block-button__link:hover {
		box-shadow: inset 767px 0 0 0 #b3e53c;
	}
	
	.wp-block-button.is-style-outline .wp-block-button__link {
		transition: .4s ease-in-out;
	}
	
	.wp-block-button.is-style-outline .wp-block-button__link:hover {
		box-shadow: inset 767px 0 0 0 #e9e9e9;
	}
}

/* Mobile + Tablet Only */
@media screen and (max-width: 767px) {
	/* Remove body background image */
	body {
		background-image: none !important;
	}
	
	/* Remove truck header */
	header img.wp-block-cover__image-background.wp-post-image {
		display: none !important;
	}
	
	body.nitro-lazy {
		background-image: none !important;
	}
}

/* Map */
.city-map-container iframe {
	max-width: 100%;
}

/* AIO SEO Table of Contents TOC - Style */

/* Top Bullets */
body .wp-block-aioseo-table-of-contents {
	background: #1c1c1c;
	border-radius: 1.5rem;
	padding: 30px 15px;
}

body .wp-block-aioseo-table-of-contents ul li {
	margin-bottom: 30px;
	list-style: none;
}

body .wp-block-aioseo-table-of-contents ul li ul li {
	margin-top: 7px;
	margin-bottom: 7px;
	list-style: inherit;
}

body .wp-block-aioseo-table-of-contents ul li a:where(:not(.wp-element-button)) {
	color: #e9e9e9;
	text-transform: uppercase;
	letter-spacing: 1px;
}

/* Interior Bullets */
body .wp-block-aioseo-table-of-contents ul li ul li a:where(:not(.wp-element-button)) {
	color: #878787;
	text-transform: none;
	letter-spacing: normal;
	font-weight: normal;
}

/* AIO SEO Author Box Custom Styling */
body .aioseo-author-bio-compact {
	padding: 40px;
	text-align: left;
	border: none;
	border-radius: 1.5rem;
	color: #878787;
	background-color: #1c1c1c;
	margin-top: 80px;
}

body .aioseo-author-bio-compact .aioseo-author-bio-compact-right .aioseo-author-bio-compact-main {
	margin: 30px 0;
	font-size: 14px;
	line-height: 2;
}

body .aioseo-author-bio-compact .aioseo-author-bio-compact-left .aioseo-author-bio-compact-image {
	/* width: 120px;
	height: 120px; */
	border-radius: 40rem;
}

body .aioseo-author-bio-compact .aioseo-author-bio-compact-right .aioseo-author-bio-compact-header .author-name {
	font-size: 20px;
	/* font-weight: 600; */
	color: #e9e9e9;
}

body .aioseo-author-bio-compact .aioseo-author-bio-compact-right .aioseo-author-bio-compact-header .author-job-title {
	margin-left: 12px;
	padding-left: 12px;
	font-size: 12px;
	border-left: 1px solid #878787;
	text-transform: uppercase;
	letter-spacing: 1px;
}

/* Gravity Forms */
body .gform_wrapper .gform_body input {
	font-size: 18px;
	padding: 26px 18px;
	border-radius: 10px;
}

body .gform_wrapper .gform_body textarea {
	font-size: 18px;
	padding: 12px 18px;
	border-radius: 10px;
}

body .gform-theme--foundation .gform_fields {
	row-gap: 15px;
	grid-row-gap: 15px;
}

body .gform_required_legend {
	display: none;
}

body .gform_wrapper ::placeholder, body .gform_wrapper ::-webkit-input-placeholder {
	opacity: .5;
}

body .gform_wrapper input.gform_button, body .gform_wrapper input.gform-button {
	font-size: 18px !important;
	font-weight: bold !important;
	letter-spacing: 1px !important;
	padding-top: 17px !important;
	padding-bottom: 17px !important;
}

body .gform_wrapper .gform_body .gfield_radio .gfield-choice-input, body .gform_wrapper .gform_body .gfield_checkbox .gfield-choice-input {
	padding: 0 0;
}

/* Gravity Form Email Capture in Footer */
@media (min-width: 640px) {}

/* .gform_wrapper.email-capture_wrapper { width: 100%; }

.email-capture .gform_confirmation_message {
	background: #1c1c1c;
	border-radius: 10px;
	padding: 0px 25px 25px 25px;
	margin-bottom: 30px;
} */

/* With captcha */
#gform_5.email-capture {
	grid-template-columns: repeat(12, 1fr);
	display: grid;
	gap: 10px;
}

#gform_5.email-capture .gform_body {
	grid-column: span 8;
}

#gform_5.email-capture .gform_footer {
	grid-column: span 4;
	margin-block-start: 0px;
	display: block;
}

#gform_5.email-capture .gfield--width-twothirds {
	grid-column: span 12;
}

body h3.gsection_title {
	color: #444;
	font-size: 1.2rem;
	margin-top: 0px;
}

body .gform-theme--framework .gf_progressbar .percentbar_blue {
	background-color: #a2cd3a;
}

/* End with captcha */

/* .email-capture .gfield--width-onethird {
	grid-column: span 4;
}

.email-capture .gfield--width-twothirds {
	grid-column: span 8;
} */

/* Responsive Menu Custom Styling */
.z-index-top {
	z-index: 100000000 !important;
}

/* Place mobile sticky order button at top */
body header button#rmp_menu_trigger-6571.is-active {
	top: -72px;
}

/* Close Button Placement */

/* Sticky Header Functionality */

/* #site-header {
	position: fixed;
	top: 0;
	width: 100%;
	background-color: #000;
	box-shadow: 0 -8px 27px rgba (0, 0, 0, 0.08);
	z-index: 1000;
	transition: top 0.8s ease, opacity 0.7s ease;
}

#site-header.hidden {
	top: -100px;
	opacity: 0;
} */

/* Media Queries */
@media screen and (max-width: 1023px) {
	.md-center, .sm-center {
		margin: 0 auto !important;
		text-align: center !important;
		float: none !important;
	}
	
	body .aioseo-author-bio-compact-right {
		text-align: center;
	}
	
	body .aioseo-author-bio-compact-left .aioseo-author-bio-compact-image {
		display: block;
		margin: 0 auto;
		width: 160px;
		height: 160px;
	}
	
	body .aioseo-author-bio-compact .aioseo-author-bio-compact-right .aioseo-author-bio-compact-header .author-job-title {
		margin-left: 0;
		padding-left: 0;
		/* font-size: 12px; */
		border-left: none;
		/* text-transform: uppercase;
		letter-spacing: 1px; */
		display: block;
	}
	
	body .aioseo-author-bio-compact {
		flex-direction: column;
		gap: 20px;
	}
	
	body .aioseo-author-bio-compact-right .aioseo-author-bio-compact-header {
		display: block;
	}
	
	body .aioseo-author-bio-compact-right .aioseo-author-bio-compact-footer .author-socials {
		display: block;
	}
}

/* STICKY CTA */
#sticky-cta {
	position: fixed;
	bottom: 50%;
	background: #cc0c0c;
	right: -250px;
	z-index: 99;
	-webkit-transition: .2s ease-in-out;
	-moz-transition: .2s ease-in-out;
	-ms-transition: .2s ease-in-out;
	-o-transition: .2s ease-in-out;
	transition: all .2s ease-in-out;
	border-radius: 0 0 8px 8px;
	background-repeat: no-repeat;
	box-shadow: -10px 10px 10px rgba(0, 0, 0, .1);
	transform: rotate(90deg);
	padding: 12px;
	text-align: center;
	width: 295px;
}

#sticky-cta.visible-cta {
	right: -120px;
}

#sticky-cta .wp-font-awesome-icon {
	background: #000;
	width: 24px;
	height: 24px;
	border-radius: 50%;
	color: #85b33a;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	margin-right: 6px;
}

:root {
	--wp--custom--spacing--tw-small: 40px;
	--wp--custom--spacing--tw-medium: 48px;
	--wp--custom--spacing--tw-large: 60px;
	--wp--custom--spacing--tw-x-large: 80px;
}

.wp-site-blocks > * {
	margin-top: 0;
}

.wp-block-media-text__content > * {
	margin-block: 0;
}

.wp-block-media-text__content > * + * {
	margin-block-start: var(--wp--style--block-gap, 1rem);
	margin-block-end: 0;
}

.alignfull + .alignfull:where(.wp-block-group.has-background,.wp-block-cover,.wp-block-media-text) {
	margin-top: 0;
}

.wp-block-post-content .wp-block-group:where(.alignfull) > :where(figure), .wp-block-post-content .wp-block-group:where(.alignfull) > :where(figure) + *, .wp-block-post-content > :where(figure), .wp-block-post-content > :where(figure) + * {
	margin-top: var(--wp--custom--spacing--tw-small);
}

.wp-block-group:where(.alignfull) > :where(h1,h2,h3), .wp-block-post-content .alignwide:where(figure), .wp-block-post-content .alignwide:where(figure) + *, .wp-block-post-content :where(h1,h2,h3,p,.wp-block-buttons) + :where(.wp-block-columns,.wp-block-cover,.wp-block-group.has-background,.wp-block-media-text), .wp-block-post-content > :where(h1,h2,h3) {
	margin-top: var(--wp--custom--spacing--tw-medium);
}

.wp-block-column :where(h3,h4,h5,h6,p,ol,ul) + :where(p,ol,ul:not([class*="wp-block"])), .wp-block-media-text__content :where(h3,h4,h5,h6,p,ul,ol) + :where(p,ol,ul:not([class*="wp-block"])) {
	margin-top: max(calc(var(--wp--style--block-gap) * .66667), 16px);
}

.wp-block-column > :where(.wp-block-image,.wp-block-cover) + :where(.wp-block-heading,h2,h3,p,ul,ol) {
	margin-top: min(calc(var(--wp--style--block-gap) * 1.16667), 32px);
}

.wp-block-post-content *:not(.alignfull) + :where(.wp-block-cover.alignfull), .wp-block-post-content .alignfull:where(figure), .wp-block-post-content .alignfull:where(figure) + *, .wp-block-post-content :where(.wp-block-cover.alignfull) + *:not(.alignfull) {
	margin-top: var(--wp--custom--spacing--tw-large);
}

.wp-block-group.is-layout-flex > *, :is(.wp-block-post-content, .wp-block-group, .wp-block-column, .wp-block-media-text__content, .wp-block-post, .wp-block-cover__inner-container) > *:first-child {
	margin-top: 0;
}

.wp-block-post-content :is(.wp-block-spacer, .wp-block-separator) + :is(figure,.wp-block-heading), .wp-block-post-content figure + :is(.wp-block-spacer, .wp-block-separator) {
	margin-top: var(--wp--style--block-gap);
}

.wp-block-post-content.has-global-padding > .wp-block-cover.alignfull, .wp-block-template-part:where(header,footer) .has-global-padding  > .wp-block-group.alignfull, .wp-block-template-part:where(header,footer) > .wp-block-group:not(.has-global-padding) {
	padding-inline: var(--wp--style--root--padding-left) var(--wp--style--root--padding-right);
}

:where(.wp-block-post-content) .wp-block-cover.alignfull, :where(.wp-block-post-content) .wp-block-group.has-background.alignfull {
	padding-block: var(--wp--custom--spacing--tw-x-large);
}

:where(.wp-block-post-content) .wp-block-cover:not(.alignfull), :where(.wp-block-post-content) .wp-block-group.has-background:not(.alignfull) {
	padding: var(--wp--custom--spacing--tw-small) clamp(24px, calc(9.88224px + 2.9412vw), var(--wp--custom--spacing--tw-small));
}

:where(.wp-block-post-content) .wp-block-cover.alignwide, :where(.wp-block-post-content) .wp-block-group.has-background.alignwide {
	padding: var(--wp--custom--spacing--tw-large) clamp(24px, calc(-7.76448px + 6.6176vw), var(--wp--custom--spacing--tw-large));
}

.wp-block-post-content .wp-block-query .wp-block-group {
	padding: 0;
}

.wp-block-media-text .wp-block-media-text__content {
	padding: clamp(20px, 9.25%, var(--wp--custom--spacing--tw-small));
}

.wp-block-media-text:not(.has-background):not(.is-style-tw-shadow):not(.alignfull) {
	gap: 32px clamp(20px, 5.25%, var(--wp--custom--spacing--tw-large));
}

@media (max-width:767px) {
	.wp-block-media-text:where(.tw-stack-md,.is-stacked-on-mobile) .wp-block-media-text__content {
		padding: 32px 24px;
	}
}

.wp-block-media-text.alignfull .wp-block-media-text__content {
	padding: var(--wp--custom--spacing--tw-large) var(--wp--style--root--padding-left, 8%);
}

.wp-block-media-text:not(.has-background):not(.is-style-tw-shadow):not(.alignfull) .wp-block-media-text__content {
	padding: 0;
}

.wp-block-quote {
	margin-inline: 0;
}

.wp-block-quote cite {
	display: block;
}

.wp-block-post-template + .wp-block-spacer:last-child {
	display: none;
}

:where(.wp-block-cover) a:where(:not(.wp-element-button)) {
	color: inherit;
}
